Last modified: 2014-04-07 13:58:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21039 - Navigable TOC : Clicking links makes cursor jump to the wrong place in IE8
Navigable TOC : Clicking links makes cursor jump to the wrong place in IE8
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
PC Windows Vista
: Low major with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-07 17:41 UTC by Calcey QA
Modified: 2014-04-07 13:58 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_r61577_2010-01-28_Headings.pdf (227.44 KB, application/pdf)
2010-01-28 09:02 UTC, Calcey QA
Details

Description Calcey QA 2009-10-07 17:41:25 UTC
Steps to reproduce :
1) Start editing a new page.
2) Enter following texts into text area.
==Heading text 1==
===Heading text 2===
3) Click links in the navigable TOC.
<<Clicking links cause to focus the cursor to a different place>>

Expected Expected Outcome::
Clicking links should cause to focus the cursor before first '=' sign.

Test Environment::
Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0;
Trident/4.0; GTB6; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR
3.5.21022; .NET CLR 1.1.4322; InfoPath.2; .NET CLR 3.5.30729; .NET CLR
3.0.30618) 
Javascript: Enabled 
Cookies Enabled: Enabled  
Java Enabled: Enabled
Comment 1 Roan Kattouw 2009-10-07 18:18:43 UTC
(In reply to comment #0)
> Steps to reproduce :
> 1) Start editing a new page.
> 2) Enter following texts into text area.
> ==Heading text 1==
> ===Heading text 2===
> 3) Click links in the navigable TOC.
> <<Clicking links cause to focus the cursor to a different place>>
> 
Exactly what is this different place?
Comment 2 Calcey QA 2009-10-09 07:59:37 UTC
Every times it focus the cursor to the first line.
It always direct to the before 'x' letter in the 'text' word.
Comment 3 Roan Kattouw 2010-01-22 22:14:07 UTC
Seems to have been fixed at some point.
Comment 4 Calcey QA 2010-01-28 09:02:52 UTC
Created attachment 7040 [details]
Wiki_r61577_2010-01-28_Headings.pdf
Comment 5 Calcey QA 2010-01-28 09:04:08 UTC
(In reply to comment #4)
> Created an attachment (id=7040) [details]
> Wiki_r61577_2010-01-28_Headings.pdf

Different browsers give different errors on display and focus on correct heading when click on NTOC or the editor.
Comment 6 Roan Kattouw 2010-01-28 17:27:03 UTC
Most of these issues should be resolved now. Please verify them and report which ones still happen.
Comment 7 Trevor Parscal 2010-01-28 18:33:32 UTC
I can't seem to repoduce.
Comment 8 Calcey QA 2010-02-16 10:14:42 UTC
Tested link: http://prototype.wikimedia.org/deployment-en/
Version : r62529

Bug verification depend on Bug 22543
Comment 9 Trevor Parscal 2010-02-18 00:27:27 UTC
I get this when I add a heading, but it's only affecting the new heading and all headings after it.
Comment 10 Bugmeister Bot 2011-08-19 19:12:47 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 11 Derk-Jan Hartman 2014-04-07 13:58:04 UTC
Closing old tickets about Navigable TOC which is not worked on anymore.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links